.doc-schedule {
    margin-bottom: 80px;
    position: relative;
}
.doc-schedule__wrap {
    margin-bottom: 48px;
    display: grid;
    grid-template-columns: 1fr 1fr;
    grid-gap: 165px;
}
.doc-schedule h3 {
    font-weight: 600;
    font-size: 17px;
    line-height: 28px;
    margin-bottom: 0;
}
.form-grid {
    display: grid;
    grid-template-columns: repeat(12, 1fr);
    grid-gap: 16px;
    margin-bottom: 24px;
}
.form__item {
    grid-column: span 4;
    border-radius: 12px;
}

.doc-schedule__contact-form h3 {
    margin-bottom: 24px;
}
.doc-schedule__contact-form input[type=text],
.doc-schedule__contact-form input[type=email],
.doc-schedule__contact-form input[type=tel] {
    width: 100%;
    border-radius: 12px;
    border: 1px solid #C8CCD0;
    padding: 11px 16px;
    font-size: 17px;
    line-height: 28px;
}
.doc-schedule__contact-form input[type=text]::placeholder,
.doc-schedule__contact-form input[type=email]::placeholder,
.doc-schedule__contact-form input[type=tel]::placeholder {
    font-size: 17px;
    line-height: 28px;
}
.form__item--text {
    display: flex;
    background-color: #FFF7DB;
    padding: 8px;
    height: 52px;
}
.form__item--text span {
    font-size: 15px;
    line-height: 21px;
    margin: auto;
}
.form__footer {
    display: flex;
    align-items: center;
    padding-top: 24px;
}
.doc-schedule__contact-form input[type=submit] {
    height: 52px;
    cursor: pointer;
    background-color: #F18D18;
    border-radius: 16px;
    color: white;
    font-size: 17px;
    line-height: 28px;
    border: 0;
    margin-right: 32px;
    padding: 12px 50px;
}
.label-soglasie {
    max-width: 460px;
    font-size: 13px;
    line-height: 20px;
}
.label-soglasie a {
    color: #077EDC;
    font-weight: 600;
}
.form__item--date {
    position: relative;
}
.form__item--date::after {
    content: "";
    width: 18px;
    height: 20px;
    background-image: url("images/icon-calendar.svg");
    background-repeat: no-repeat;
    background-size: contain;
    position: absolute;
    top: 50%;
    right: 16px;
    transform: translateY(-50%);
}
.form__error-message {
    color: red;
    margin-bottom: 12px;
}
.selected-clinic-wrapper {
    position: relative;
    display: inline-block;
    margin-bottom: 24px;
    z-index: 3;
}
#selected-clinic {
    appearance: none;
    -webkit-appearance: none;
    -moz-appearance: none;
    background-color: transparent;
    padding: 8px 32px 8px 16px;
    font-size: 14px;
    border-radius: 8px;
    border: 1px solid #077EDC;
}
.selected-clinic-wrapper::after {
    content: "";
    position: absolute;
    top: 50%;
    right: 15px;
    width: 10px;
    height: 14px;
    pointer-events: none;
    background-image: url("images/icon-arrow-right.svg");
    background-repeat: no-repeat;
    background-size: contain;
    transform: rotate(90deg) translateX(-50%);
}
.calendar__header {
    display: flex;
    align-items: center;
    justify-content: space-between;
    margin-bottom: 24px;
}
.calendar__control {
    display: flex;
    align-items: center;
    font-size: 17px;
    line-height: 28px;
    color: #077EDC;
}
.calendar__control .month-switch {
    cursor: pointer;
    width: 9px;
    height: 14px;
    background-repeat: no-repeat;
    background-size: contain;
}
.calendar__control .month-switch:first-child {
    background-image: url("images/icon-arrow-left.svg");
}
.calendar__control .month-switch:last-child {
    background-image: url("images/icon-arrow-right.svg");
}
.calendar__header-text {
    padding: 0 24px;
}
.calendar .week {
    display: flex;
    align-items: center;
}
.calendar .week:not(:last-child) {
    margin-bottom: 12px;
}
.calendar .day {
    width: 66px;
    font-size: 17px;
    line-height: 28px;
    padding: 8px;
    border-radius: 12px;
    box-shadow: 0 3px 8px 0 rgba(10, 71, 137, .1);
    text-align: center;
    cursor: pointer;
}
.calendar .day.disable {
    pointer-events: none;
    background-color: #F3F4F7;
    color: #868D98;
    opacity: .4;
    box-shadow: none;
}
.calendar .day.act {
    background-color: #F18D18;
    color: white;
}
.calendar .day:not(:last-child) {
    margin-right: 12px;
}
.calendar .day:not([data-date]) {
    opacity: 0;
}
.calendar__days-names {
    display: flex;
    align-items: center;
    margin-bottom: 12px;
}
.calendar__days-names div {
    width: 66px;
    font-size: 13px;
    line-height: 18px;
    text-align: center;
    color: #868D98;
    text-transform: uppercase;
}
.calendar__days-names div:not(:last-child) {
    margin-right: 12px;
}
.intervals__header {
    margin-bottom: 24px;
}
.intervals__row {
    display: flex;
    align-items: center;
}
.intervals .time-interval {
    font-size: 17px;
    line-height: 28px;
    padding: 8px;
    border-radius: 12px;
    box-shadow: 0 3px 8px 0 rgba(10, 71, 137, .1);
    text-align: center;
    cursor: pointer;
    grid-column: span 2;
}
.intervals .time-interval.disable {
    pointer-events: none;
    background-color: #F3F4F7;
    color: #868D98;
    box-shadow: none;
}
.intervals .time-interval.act {
    background-color: #F18D18;
    color: white;
}
.intervals .daily-schedule__wrap {
    display: grid;
    grid-template-columns: repeat(12, 1fr);
    grid-gap: 12px;
}
#sms-popup__captcha-container {
    margin: 0 auto 16px auto;
    width: fit-content;
}

@media screen and (max-width: 1400px) {
    .doc-schedule__wrap {
        grid-gap: 40px;
    }
}

@media screen and (max-width: 1200px) {
    .calendar__header,
    .intervals__header {
        margin-bottom: 12px;
    }
    .calendar__header {
        justify-content: flex-start;
    }
    .doc-schedule h3 {
        font-size: 14px;
        line-height: 20px;
    }
    .calendar__control {
        font-size: 14px;
        line-height: 20px;
        margin-left: 85px;
    }
    .calendar__control .month-switch {
        width: 7px;
        height: 12px;
    }
    .calendar__header-text {
        padding: 0 12px;
    }
    .calendar__days-names {
        margin-bottom: 8px;
    }
    .calendar .day {
        width: 42px;
        font-size: 14px;
        line-height: 20px;
    }
    .calendar__days-names div {
        width: 42px;
        font-size: 12px;
        line-height: 18px;
    }
    .calendar .day:not(:last-child),
    .calendar__days-names div:not(:last-child) {
        margin-right: 6px;
    }
    .calendar .week:not(:last-child),
    .intervals__row {
        margin-bottom: 8px;
    }
    .intervals .time-interval {
        font-size: 14px;
        line-height: 20px;
    }
}

@media screen and (max-width: 800px) {
    .doc-schedule h3 {
        font-size: 14px;
        line-height: 20px;
    }
    .doc-schedule__wrap {
        grid-template-columns: 1fr;
        grid-gap: 16px;
    }
    .doc-schedule {
        margin-bottom: 40px;
    }
    .form-grid {
        grid-gap: 8px;
    }
    .form__item {
        grid-column: span 6;
    }
    .label-soglasie {
        order: -1;
        margin-bottom: 16px;
    }
    .form__footer {
        flex-direction: column;
        align-items: flex-start;
    }
    .doc-schedule__contact-form input[type=submit] {
        margin-right: 0;
        width: 100%;
    }
    .doc-schedule__contact-form input[type=text],
    .doc-schedule__contact-form input[type=email],
    .doc-schedule__contact-form input[type=tel],
    .doc-schedule__contact-form input[type=text]::placeholder,
    .doc-schedule__contact-form input[type=email]::placeholder,
    .doc-schedule__contact-form input[type=tel]::placeholder {
        font-size: 16px;
        line-height: 24px;
    }
	.form__item--text {
        order: -3;
    }
    .form__item--o-1 {
        order: -2;
    }
    .form__item--o-2 {
        order: -1;
    }
}

@media screen and (max-width: 600px) {
    .form__item {
        grid-column: span 12;
    }
    .intervals .daily-schedule__wrap {
        grid-template-columns: repeat(10, 1fr);
    }
}

.appointment-popup {
    display: none;
    width: 100vw;
    height: 100vh;
    position: fixed;
    top: 0;
    left: 0;
    z-index: 100;
    background-color: rgba(0, 0, 0, .7);
    backdrop-filter: blur(4px);
    color: #4D5358;
}
.appointment-popup.open {
    display: block;
}
.appointment-popup__wrap {
    background-color: white;
    border-radius: 16px;
    max-width: 370px;
    position: fixed;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    padding: 36px 20px;
}
.appointment-popup__content {
    position: relative;
}
.appointment-popup__error {
    color: red;
    text-align: center;
    margin-bottom: 12px;
    padding: 0 7px;
}
.appointment-popup__close {
    position: absolute;
    top: -25px;
    right: -10px;
    background-image: url("images/icon-close.svg?v=1");
    background-repeat: no-repeat;
    background-size: contain;
    width: 30px;
    height: 30px;
    cursor: pointer;
}
.appointment-popup h2 {
    font-size: 24px;
    line-height: 29px;
    font-weight: 600;
    text-align: center;
    margin-top: 0;
    margin-bottom: 24px;
    color: #EE7219;
}
.appointment-popup__text {
    font-size: 20px;
    line-height: 24px;
    text-align: center;
    margin-bottom: 28px;
    color: #646565;
}
.appointment-popup__text2 {
    padding: 22px 16px;
    background-color: #EE7219;
    color: white;
    font-size: 12px;
    line-height: 20px;
    font-weight: 600;
    text-align: center;
    border-radius: 8px;
    margin: 0;
}
.appointment-popup__btn-close {
    display: block;
    height: 52px;
    cursor: pointer;
    background-color: #F18D18;
    border-radius: 16px;
    color: white;
    font-size: 17px;
    line-height: 28px;
    border: 0;
    padding: 12px 50px;
    margin: 0 auto;
}
.appointment-popup__icon {
    display: block;
    margin-left: auto;
    margin-right: auto;
    margin-bottom: 16px;
}
.realInput {
    opacity: 0;
}
#otp_target .otp-fake-input {
    border: 1px solid #C8CCD0;
    border-radius: 12px;
    cursor: text;
}
#otp_target .otp-fake-input.otpdesigner__focus__ {
    border: 2px solid #F18D18;
}
#otp_target .otp-fake-input:not(:last-child) {
    margin-right: 8px;
}
#otp_target {
    margin-bottom: 24px;
}
.sms-popup__message {
    font-size: 15px;
    line-height: 24px;
    margin-bottom: 24px;
    text-align: center;
}
.sms-popup__resend .resend-btn {
    font-size: 17px;
    line-height: 24px;
    background-color: transparent;
    border: 0;
    color: #077EDC;
    margin: 0 auto;
    cursor: pointer;
}
.sms-popup__resend .resend-btn {
    display: none;
}
.sms-popup__resend-msg {
    text-align: center;
    font-size: 17px;
    line-height: 28px;
}
.sms-popup__resend-msg .timer {
    font-size: 21px;
    line-height: 28px;
    font-weight: 600;
}
.sms-popup__resend .sms-popup__resend-msg {
    display: block;
}
.sms-popup__resend.resend-available .resend-btn {
    display: block;
}
.sms-popup__resend.resend-available .sms-popup__resend-msg {
    display: none;
}

@media screen and (max-width: 800px) {
    .appointment-popup__wrap {
        padding: 32px;
    }
    .appointment-popup h2 {
        font-size: 20px;
        line-height: 28px;
        margin-bottom: 24px;
    }
    #otp_target {
        margin-bottom: 16px;
    }
    .sms-popup__message {
        margin-bottom: 16px;
        font-size: 14px;
        line-height: 20px;
    }
    .sms-popup__resend-msg {
        font-size: 16px;
        line-height: 24px;
    }
    .appointment-popup__close {
        top: -25px;
        right: -25px;
    }
}

.loading-overlay {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgba(255, 255, 255, 0.8);
    align-items: center;
    justify-content: center;
    z-index: 2;
    display: none;
}
.loader {
    border: 8px solid #f3f3f3;
    border-top: 8px solid #3498db;
    border-radius: 50%;
    width: 50px;
    height: 50px;
    animation: spin 1s linear infinite;
}
.loading-overlay.show {
    display: flex;
}
@keyframes spin {
    0% { transform: rotate(0deg); }
    100% { transform: rotate(360deg); }
}

.empty-shedule__message {
    top: 50px;
}
.empty-shedule__message-wrap {
    display: flex;
    flex-direction: column;
    background-color: #f9fbf6;
    box-shadow: 0 2px 2px rgba(0, 0, 0, .15);
    padding: 40px;
    border-radius: 12px;
    max-width: 700px;
	margin-top: -200px;
}
.empty-shedule__message p {
    margin-bottom: 20px;
}
.empty-shedule__message .btns {
    display: flex;
    align-items: center;
    justify-content: center;
}
.empty-shedule__message .btn-arrow {
    display: block;
    margin-bottom: 12px;
}
.empty-shedule__message .btn-arrow:not(:last-child) {
    margin-right: 12px;
}

@media screen and (max-width: 800px) {
    .empty-shedule__message .btns {
        flex-direction: column;
    }
}

#register-client__captcha-container {
    display: flex;
}
#register-client__captcha-container input[name=captchaVal] {
    width:200px;
    margin-left:16px;
}
#register-client__captcha-container button {
    margin-left:16px;
    height: 52px;
    cursor: pointer;
    background-color: #cccccc;
    border-radius: 16px;
    color: white;
    font-size: 17px;
    line-height: 28px;
    border: 0;
    padding: 12px 44px;
}
@media (max-width: 560px) {
    #register-client__captcha-container input[name=captchaVal],
    #register-client__captcha-container button {
        margin-left:4px;
    }
    #register-client__captcha-container img {
        width:auto;
    }
}
@media (max-width: 530px) {
    #register-client__captcha-container button {
        padding: 12px;
    }
}
@media (max-width: 454px) {
    #register-client__captcha-container input[name=captchaVal] {
        width:100px;
    }
}